/* 
* @Author: anchen
* @Date:   2015-08-27 08:53:54
* @Last Modified by:   anchen
* @Last Modified time: 2015-09-11 01:09:35
*/

$(document).ready(function(){

    /*右侧二级导航列表鼠标点击时的状态*/
     $("#manage li").each(function(index, el) {
        $("#manage li").eq(index).click(function(event) {
            $(this).addClass('module_current').siblings().removeClass('module_current');
            $("#manage li").eq(0).removeClass('module_current');
            $("#personage li").removeClass('module_current');
            $("#serve li").removeClass('module_current');
        });
    });

      $("#personage li").each(function(index, el) {
        $("#personage li").eq(index).click(function(event) {
             $(this).addClass('module_current').siblings().removeClass('module_current');
             $("#personage li").eq(0).removeClass('module_current');
             $("#manage li").removeClass('module_current');
             $("#serve li").removeClass('module_current');
        });
    });

   $("#serve li").each(function(index, el) {
    $("#serve li").eq(index).click(function(event) {
         $(this).addClass('module_current').siblings().removeClass('module_current');
         $("#serve li").eq(0).removeClass('module_current');
         $("#manage li").removeClass('module_current');
         $("#personage li").removeClass('module_current');
    });
    });

   /*列表鼠标经过时的背景*/
  /* $(".E_main_tbody tr").hover(function() {
       $(this).css('background','#eeeeee')
   }, function() {
       $(this).css('background','#ffffff')
   });*/

});

 //全选、反选
          function checkAll(elem){ // this 表示当前按钮element对象
            //得到全选按钮的状态
            var status = elem.checked;
            
            //1) 得到所有的name为“item”的checkbox
            var itemList = document.getElementsByName("item");
            //2) 改变item的状态（设置checked属性）
            for(var i=0 ;i<itemList.length;i++){
              /*
                if(itemList[i].checked==false){
                itemList[i].checked = true;
              }else{
                itemList[i].checked = false;
              }
              */
              itemList[i].checked = status;
            }
          
          }

